Uploaded image for project: 'DSpace'
  1. DSpace
  2. DS-1776

Unable to read statistics core after upgrade to DSpace 4.0

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Blocker
    • Resolution: Answered
    • Affects Version/s: None
    • Fix Version/s: 4.0
    • Component/s: None
    • Labels:
      None
    • Attachments:
      0
    • Comments:
      5
    • Documentation Status:
      Complete or Committed

      Description

      DSpace 4 ships with SOLR 4.4. In SOLR 4 (lucene) the index file format has been changed. This usually don't require any actions by user that come from a recent version of SOLR 3.x but older users could rely on an index file format too old.
      In this case the following error occur
      Caused by: org.apache.lucene.index.IndexFormatTooOldException: Format version is not supported (resource: segment _386q in resource ChecksumIndexInput(MMapIndexInput(path="/space/dspace/solr/statistics/data/index/segments_37m6"))): 2.x. This version of Lucene only supports indexes created with release 3.0 and later.

      Please note that also users that come from DSpace 3.2 could experience this issue (we have add that on the demo.dspace.org site) if the solr index are not fully up-to-date. A way to ensure that is run an optimize command from a SOLR 3.5

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                mwood Mark H. Wood
                Reporter:
                bollini Andrea Bollini (4Science)
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: